> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Add validators to a tag

> This endpoint allows you to add validators to a tag. You must pass an array of validator pubkeys in the body.

<Note>
  You can add upto 1,000 validators at a time with an upper bound of 15,000 validators per tag. If you'd like to add more than that per tag, please reach out to us at [hello@rated.network](mailto:hello@rated.network)!
</Note>


## OpenAPI

````yaml post /v1/tags/{id}/validators
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/tags/{id}/validators:
    post:
      tags:
        - Private Sets
      summary: Add validators to a tag
      description: >-
        This endpoint allows you to add validators to a tag. You must pass an
        array of validator pubkeys in the body.
      operationId: add_validators_v1_tags__id__validators_post
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Id
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidatorTagIn'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ValidatorTag'
                title: Response Add Validators V1 Tags  Id  Validators Post
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    ValidatorTagIn:
      properties:
        pubkeys:
          items:
            type: string
          type: array
          maxItems: 1000
          minItems: 1
          title: Pubkeys
      type: object
      required:
        - pubkeys
      title: ValidatorTagIn
      examples:
        - pubkeys:
            - 0x00..
            - 0x01...
    ValidatorTag:
      properties:
        validatorPubkey:
          type: string
          title: Validatorpubkey
        tagId:
          type: string
          format: uuid4
          title: Tagid
        tagName:
          type: string
          title: Tagname
        createdBy:
          type: string
          format: uuid4
          title: Createdby
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - validatorPubkey
        - tagId
        - tagName
        - createdBy
        - createdAt
      title: ValidatorTag
      examples:
        - createdAt: '2024-03-31T18:13:27.584133'
          createdBy: d03841a7-d830-47a2-9f96-3f2ddf7d9b43
          tagId: 96cbc789-5a03-4110-abeb-67f5d4f65323
          tagName: us-west-1
          validatorPubkey: 0x800...
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````